1.1
1.1
get /v1/service-accounts
Description
List service accounts
State ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | name optional | Service Account Name Example : | any of [string, null] | None |
| query | service optional | Service Account’s Service Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServiceAccountListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/service-accounts
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1"
Example HTTP response
Response 200
{
"service_accounts": [
{
"id": "",
"name": "",
"service": ""
}
]
}